[tox]
envlist = py3-pep8, py3-django, py3
skipsdist = True

[testenv]
setenv =
    PYTHONDONTWRITEBYTECODE = no_byte_code
    PYTHONPATH = {toxinidir}

[testenv:py3]
deps =
    -r{toxinidir}/requirements.txt
basepython = python3
commands =
    /bin/sh -c "true"

[testenv:py3-django]
deps =
    -r{toxinidir}/requirements.txt
    coverage
basepython = python3
commands =
    /bin/sh -c "find {toxinidir} -name '*.pyc' -delete"
    coverage erase
    coverage run manage.py test
    coverage report -m

[testenv:py3-pep8]
skip_install = True
basepython = python3
deps =
    flake8
commands =
    /bin/sh -c "flake8 django_consensus"
    /bin/sh -c "flake8 consensus_base"
    /bin/sh -c "flake8 manage.py"

[testenv:py3-outdated]
skip_install = True
basepython = python3
deps =
    -r{toxinidir}/requirements.txt
    pip==9.0.0
commands =
    /bin/sh -c "pip list --format=columns --outdated > env.txt.python3.tmp"
    /bin/sh -c "diff -u env.txt.python3 env.txt.python3.tmp"
    /bin/sh -c "rm env.txt.python3.tmp"
